<?

/*
 * This file is part of the 'Science Fair In A Box' project
 * SFIAB Website: http://www.sfiab.ca
 *
 * Copyright (C) 2005 Sci-Tech Ontario Inc <info@scitechontario.org>
 * Copyright (C) 2005 James Grant <james@lightbox.org>
 * Copyright (C) 2008 David Grant <dave@lightbox.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation, version 2.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
?>
<?
require ('common.inc.php');
include 'register_participants.inc.php';

// authenticate based on email address and registration number from the SESSION
if (!$_SESSION['email']) {
  header('Location: register_participants.php');
  exit;
}
if (!$_SESSION['registration_number']) {
  header('Location: register_participants.php');
  exit;
}

global $pdo;

$q = $pdo->prepare('SELECT * FROM students WHERE registrations_id=?');
$q->execute([$_SESSION['registration_id']]);
show_pdo_errors_if_any($pdo);

if ($q->rowCount() == 0) {
  header('Location: register_participants.php');
  exit;
}

while ($s = $q->fetch(PDO::FETCH_OBJ)) {
  $student[] = array(
    'first' => "{$s->firstname}",
    'last' => "{$s->lastname}",
    'email' => "{$s->email}",
    'grade' => "{$s->grade}"
  );
}

// send the header
send_header('Participant Registration - Signature Page');

echo '<a href="register_participants_main.php">&lt;&lt; ' . i18n('Back to Participant Registration Summary') . '</a><br />';
echo '<br />';

if ($_POST['signed']) {
  setRegistrationFormsReceived();
}

// output the current status
$newstatus = registrationFormsReceived($_SESSION['registration_id']);
if ($newstatus != 'complete') {
  echo error(i18n('Signature Page Incomplete.  Please complete all forms below'));
} else if ($newstatus == 'complete') {
  echo happy(i18n('Signature Page Complete'));
}
?>

<script src="https://cdn.docuseal.com/js/form.js"></script>

<div class="signatures" style="background-color: #d3d3d3; min-height: 800px">
<docuseal-form
  id="docusealForm"
  data-src=<? echo "$SIGNATURES_URL" ?>
  data-email=<? echo $student[0]['email'] ?>
  data-values='<? echo '{"Name": "' . $student[0]['first'] . ' ' . $student[0]['last'] . '", "Grade": "' . $student[0]['grade'] . '"}' ?>'
  style="display: block; max-height: 800px; overflow: auto;"
</docuseal-form>
</div>

<script>
  window.docusealForm.addEventListener('completed', function (e) {
    console.log(e);
    const xhttp = new XMLHttpRequest();
    xhttp.open("POST", "register_participants_signature.php");
    xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
    xhttp.onload = function() {
      location.reload();
    }
    xhttp.send("signed=" + e.detail.submission_url);
  });
</script>

<?
send_footer();
?>






